#Modules

###Base

|Module|Description|Available versions|
|--|--|--|
|**[EasyBuild](http://hpcugent.github.com/easybuild/)**|EasyBuild is a software build and installation framework written in Python that allows you to install software in a structured, repeatable and robust way.|<nobr>2.1.1</br>2.2.0</br>2.3.0</nobr>|
|**[Python](http://python.org/)**|Python is a programming language that lets you work more quickly and integrate your systems more effectively.|<nobr>3.4.3-intel-2015b</nobr>|

###Bio

|Module|Description|Available versions|
|--|--|--|
|**[almost](http://www-almost.ch.cam.ac.uk/site)**|all atom molecular simulation toolkit - is a fast and flexible molecular modeling environment that provides powerful and efficient algorithms for molecular simulation, homology modeling, de novo design and ab-initio calculations.|<nobr>2.1.0-intel-2015b</br>2.1.0-foss-2015b</br>2.1.0-foss-2015g</nobr>|
|**[Amber](http://ambermd.org)**|A set of molecular mechanical force fields for the simulation of biomolecules|<nobr>14</nobr>|
|**[BCFtools](http://www.htslib.org/)**|Samtools is a suite of programs for interacting with high-throughput sequencing data. BCFtools - Reading/writing BCF2/VCF/gVCF files and calling/filtering/summarising SNP and short indel sequence variants|<nobr>1.3-foss-2015g</nobr>|
|**[BWA](http://bio-bwa.sourceforge.net/)**|Burrows-Wheeler Aligner (BWA) is an efficient program that aligns relatively short nucleotide sequences against a long reference sequence such as the human genome.|<nobr>0.7.5a-foss-2015g</nobr>|
|**[FastQC](http://www.bioinformatics.babraham.ac.uk/projects/fastqc/)**|FastQC is a quality control application for high throughput sequence data. It reads in sequence data in a variety of formats and can either provide an interactive application to review the results of several different QC checks, or create an HTML based report which can be integrated into a pipeline.|<nobr>0.11.3</nobr>|
|**[GATK](http://www.broadinstitute.org/gatk/)**|The Genome Analysis Toolkit or GATK is a software package developed at the Broad Institute to analyse next-generation resequencing data. The toolkit offers a wide variety of tools, with a primary focus on variant discovery and genotyping as well as strong emphasis on data quality assurance. Its robust architecture, powerful processing engine and high-performance computing features make it capable of taking on projects of any size.|<nobr>2.6-5-Java-1.7.0_79</br>3.5-Java-1.7.0_79</nobr>|
|**[GROMACS](http://www.gromacs.org)**|GROMACS is a versatile package to perform molecular dynamics, i.e. simulate the Newtonian equations of motion for systems with hundreds to millions of particles.|<nobr>5.0.4-ictce-7.3.5-hybrid-single</br>5.0.4-foss-2015e-hybrid-single-PLUMED</br>5.0.4-foss-2015g-hybrid-single-PLUMED</br>5.0.4-foss-2015g-hybrid-single</br>4.6.7-foss-2015g-hybrid-single-PLUMED</nobr>|
|**[HTSlib](http://www.htslib.org/)**|A C library for reading/writing high-throughput sequencing data. This package includes the utilities bgzip and tabix|<nobr>1.3-foss-2015g</nobr>|
|**[picard](http://sourceforge.net/projects/picard)**|A set of tools (in Java) for working with next generation sequencing data in the BAM format.|<nobr>1.119</br>2.1.0</nobr>|
|**[PLUMED](http://www.plumed-code.org)**|PLUMED is an open source library for free energy calculations in molecular systems which works together with some of the most popular molecular dynamics engines. Free energy calculations can be performed as a function of many order parameters with a particular focus on biological problems, using state of the art methods such as metadynamics, umbrella sampling and Jarzynski-equation based steered MD. The software, written in C++, can be easily interfaced with both fortran and C/C++ codes.|<nobr>2.1.3-foss-2015g</nobr>|
|**[RELION](http://www2.mrc-lmb.cam.ac.uk/relion/index.php/Main_Page)**|RELION (for REgularised LIkelihood OptimisatioN, pronounce rely-on) is a stand-alone computer program that employs an empirical Bayesian approach to refinement of (multiple) 3D reconstructions or 2D class averages in electron cryo-microscopy (cryo-EM).|<nobr>1.3-intel-2015b</nobr>|
|**[SAMtools](http://www.htslib.org/)**|SAM Tools provide various utilities for manipulating alignments in the SAM format, including sorting, merging, indexing and generating alignments in a per-position format.|<nobr>1.3-foss-2015g</nobr>|
|**[SnpEff](http://snpeff.sourceforge.net/)**|Genetic variant annotation and effect prediction toolbox.|<nobr>4.1_G</nobr>|
|**[Trimmomatic](http://www.usadellab.org/cms/?page=trimmomatic)**|Trimmomatic performs a variety of useful trimming tasks for illumina paired-end and single ended data.The selection of trimming steps and their associated parameters are supplied on the command line.|<nobr>0.35-Java-1.7.0_79</nobr>|

###Cae

|Module|Description|Available versions|
|--|--|--|
|**Adams**|&nbsp;|<nobr>2013.2</nobr>|
|**ANSYS**|&nbsp;|<nobr>16.1</br>17.0</nobr>|
|**COMSOL**|&nbsp;|<nobr>51-COM</br>51-EDU</nobr>|
|**Digimat**|&nbsp;|<nobr>5.0.1-COM</br>5.0.1-EDU</nobr>|
|**[FreeFem++](http://www.freefem.org)**|FreeFem++ is a partial differential equation solver. It has its own language. freefem scripts can solve multiphysics non linear systems in 2D and 3D. Problems involving PDE (2d, 3d) from several branches of physics such as fluid-structure interactions require interpolations of data on several meshes and their manipulation within one program. FreeFem++ includes a fast 2^d-tree-based interpolation algorithm and a language for the manipulation of data on multiple meshes (as a follow up of bamg (now a part of FreeFem++ ). FreeFem++ is written in C++ and the FreeFem++ language is a C++ idiom. It runs on Macs, Windows, Unix machines. FreeFem++ replaces the older freefem and freefem+.|<nobr>3.45-intel-2015b</nobr>|
|**HyperWorks**|&nbsp;|<nobr>13.0</nobr>|
|**Marc**|&nbsp;|<nobr>2013.1.0</nobr>|
|**[OpenFOAM](http://www.openfoam.com/)**|OpenFOAM is a free, open source CFD software package. OpenFOAM has an extensive range of features to solve anything from complex fluid flows involving chemical reactions, turbulence and heat transfer, to solid dynamics and electromagnetics.|<nobr>2.3.0-intel-2015b</br>2.2.2-intel-2015b</br>3.0.0-intel-2016.01</nobr>|

###Chem

|Module|Description|Available versions|
|--|--|--|
|**[ABINIT](http://www.abinit.org/)**|Abinit is a plane wave pseudopotential code for doing condensed phase electronic structure calculations using DFT.|<nobr>7.10.1-foss-2015b</br>7.10.1-intel-2015b</nobr>|
|**[CP2K](http://www.cp2k.org/)**|CP2K is a freely available (GPL) program, written in Fortran 95, to perform atomistic and molecular simulations of solid state, liquid, molecular and biological systems. It provides a general framework for different methods such as e.g. density functional theory (DFT) using a mixed Gaussian and plane waves approach (GPW), and classical pair and many-body potentials.|<nobr>2.6.0-intel-2015b</nobr>|
|**[LAMMPS](http://lammps.sandia.gov)**|LAMMPS is a classical molecular dynamics code, and an acronym for Large-scale Atomic/Molecular Massively Parallel Simulator. Has potentials for solid-state materials (metals, semiconductors) and soft matter (biomolecules, polymers) and coarse-grained or mesoscopic systems. It can be used to model atoms or, more generically, as a parallel particle simulator at the atomic, meso, or continuum scale.|<nobr>28Jun14-intel-2015b</nobr>|
|**[libctl](http://ab-initio.mit.edu/libctl)**|libctl is a free Guile-based library implementing flexible control files for scientific simulations.|<nobr>3.2.2-intel-2015b</nobr>|
|**[Libint](https://sourceforge.net/p/libint/)**|Libint library is used to evaluate the traditional (electron repulsion) and certain novel two-body matrix elements (integrals) over Cartesian Gaussian functions used in modern atomic and molecular theory.|<nobr>1.1.4-gompi-2015b</br>1.1.4-foss-2015b</br>1.1.4-intel-2015b</nobr>|
|**[libxc](http://www.tddft.org/programs/octopus/wiki/index.php/Libxc)**|Libxc is a library of exchange-correlation functionals for density-functional theory. The aim is to provide a portable, well tested and reliable set of exchange and correlation functionals.|<nobr>2.2.0-gompi-2015b</br>2.2.0-foss-2015b</br>2.2.1-intel-2015b</nobr>|
|**Molpro**|&nbsp;|<nobr>2010.1-patch-57-intel2015b</nobr>|
|**[NAMD](http://www.ks.uiuc.edu/Research/namd/)**|NAMD is a parallel molecular dynamics code designed for high-performance simulation of large biomolecular systems.|<nobr>2.9-mpi</nobr>|
|**[NWChem](http://www.nwchem-sw.org)**|NWChem aims to provide its users with computational chemistry tools that are scalable both in their ability to treat large scientific computational chemistry problems efficiently, and in their use of available parallel computing resources from high-performance parallel supercomputers to conventional workstation clusters. NWChem software can handle: biomolecules, nanostructures, and solid-state; from quantum to classical, and all combinations; Gaussian basis functions or plane-waves; scaling from one to thousands of processors; properties and relativity.|<nobr>6.3.revision2-2013-10-17-Python-2.7.8</br>6.5.revision26243-intel-2015b-2014-09-10-Python-2.7.8</nobr>|
|**[S4MPLE](http://infochim.u-strasbg.fr/spip.php?rubrique152)**|S4MPLE (Sampler For Multiple Protein-Ligand Entities) is a flexible molecular modeling tool, supporting empirical force field-driven conformational sampling and geometry optimization heuristics using a hybrid genetic algorithm (GA).|<nobr>1.0.0</nobr>|

###Compiler

|Module|Description|Available versions|
|--|--|--|
|**[BerkeleyUPC](http://upc.lbl.gov)**|The goal of the Berkeley UPC compiler group is to develop a portable, high performance implementation of UPC for large-scale multiprocessors, PC clusters, and clusters of shared memory multiprocessors.|<nobr>2.16.2-gompi-2015b</nobr>|
|**[Clang](http://clang.llvm.org/)**|C, C++, Objective-C compiler, based on LLVM. Does not include C++ standard library -- use libstdc++ from GCC.|<nobr>3.7.0-GNU-5.1.0-2.25</nobr>|
|**[GCC](http://gcc.gnu.org/)**|The GNU Compiler Collection includes front ends for C, C++, Objective-C, Fortran, Java, and Ada, as well as libraries for these languages (libstdc++, libgcj,...).|<nobr>4.9.2-binutils-2.25</br>4.8.3</br>5.1.0-binutils-2.25</br>4.4.7-system</br>4.9.3-binutils-2.25</br>4.7.4</br>5.2.0</br>4.9.3</br>5.3.0-binutils-2.25</br>5.3.0-2.25</br>5.3.1-snapshot-20160419-2.25</br>4.9.3-2.25</br>5.3.0-2.26</nobr>|
|**[GCCcore](http://gcc.gnu.org/)**|The GNU Compiler Collection includes front ends for C, C++, Objective-C, Fortran, Java, and Ada, as well as libraries for these languages (libstdc++, libgcj,...).|<nobr>4.9.3</br>5.3.0</br>5.3.1-snapshot-20160419</nobr>|
|**[icc](http://software.intel.com/en-us/intel-compilers/)**|C and C++ compiler from Intel|<nobr>2013.5.192</br>2013.5.192-GCC-4.8.3</br>2015.3.187</br>2015.3.187-GNU-5.1.0-2.25</br>2016.0.109-GCC-4.9.3</br>2016.1.150-GCC-4.9.3</br>2016.1.150</br>2016.3.210-GCC-5.3.0-2.26</br>2015.3.187-GNU-4.9.3-2.25</br>2016.1.150-GCC-4.9.3-2.25</nobr>|
|**[ifort](http://software.intel.com/en-us/intel-compilers/)**|Fortran compiler from Intel|<nobr>2013.5.192</br>2013.5.192-GCC-4.8.3</br>2015.3.187</br>2015.3.187-GNU-5.1.0-2.25</br>2016.0.109-GCC-4.9.3</br>2016.1.150-GCC-4.9.3</br>2016.1.150-GCC-4.9.3-2.25</br>2016.1.150</br>2016.3.210-GCC-5.3.0-2.26</br>2015.3.187-GNU-4.9.3-2.25</nobr>|
|**[LLVM](http://llvm.org/)**|The LLVM Core libraries provide a modern source- and target-independent optimizer, along with code generation support for many popular CPUs (as well as some less common ones!) These libraries are built around a well specified code representation known as the LLVM intermediate representation ("LLVM IR"). The LLVM Core libraries are well documented, and it is particularly easy to invent your own language (or port an existing compiler) to use LLVM as an optimizer and code generator.|<nobr>3.7.1-foss-2015g</nobr>|
|**[OpenCoarrays](http://www.opencoarrays.org/)**|A transport layer for coarray Fortran compilers.|<nobr>1.4.0-GCC-5.3.0-2.25</br>1.4.0-GCC-5.3.1-snapshot-20160419-2.25</nobr>|
|**PGI**|&nbsp;|<nobr>15.7</nobr>|

###Data

|Module|Description|Available versions|
|--|--|--|
|**[GDAL](http://www.gdal.org/)**|GDAL is a translator library for raster geospatial data formats that is released under an X/MIT style Open Source license by the Open Source Geospatial Foundation. As a library, it presents a single abstract data model to the calling application for all supported formats. It also comes with a variety of useful commandline utilities for data translation and processing.|<nobr>1.9.2-foss-2015g</br>2.1.0-foss-2015g</br>2.0.1-foss-2015b</br>2.1.0-GNU-5.1.0-2.25-intel-2015b</br>2.1.0-GNU-5.1.0-2.25</br>2.1.0-intel-2015b</nobr>|
|**[h5py](http://www.h5py.org/)**|HDF5 for Python (h5py) is a general-purpose Python interface to the Hierarchical Data Format library, version 5. HDF5 is a versatile, mature scientific software library designed for the fast, flexible storage of enormous amounts of data.|<nobr>2.4.0-ictce-7.3.5-Python-2.7.9-serial</nobr>|
|**[HDF5](http://www.hdfgroup.org/HDF5/)**|HDF5 is a unique technology suite that makes possible the management of extremely large and complex data collections.|<nobr>1.8.13-intel-2015b</br>1.8.13-intel-2015b-no-mpi</br>1.8.14-ictce-7.3.5-serial</br>1.8.13-intel-2016.01</br>1.8.13-foss-2015g</br>1.8.16-intel-2015b</br>1.8.16-intel-2015b-threadsafe</br>1.8.16-foss-2015g</br>1.10.0-patch1-intel-2016.01-mic</br>1.8.15-patch1-foss-2015b</nobr>|
|**[netCDF](http://www.unidata.ucar.edu/software/netcdf/)**|NetCDF (network Common Data Form) is a set of software libraries and machine-independent data formats that support the creation, access, and sharing of array-oriented scientific data.|<nobr>4.3.2-intel-2015b</br>4.3.2-intel-2016.01</br>4.3.2-foss-2015g</br>4.3.3.1-foss-2015b</nobr>|
|**[netCDF-Fortran](http://www.unidata.ucar.edu/software/netcdf/)**|NetCDF (network Common Data Form) is a set of software libraries and machine-independent data formats that support the creation, access, and sharing of array-oriented scientific data.|<nobr>4.4.0-intel-2016.01</nobr>|

###Debugger

|Module|Description|Available versions|
|--|--|--|
|**aislinn**|&nbsp;|<nobr>20160105-Python-2.7.9-gompi-2015e</nobr>|
|**DDT**|&nbsp;|<nobr>4.2</br>5.0.1</nobr>|
|**[Forge](http://www.allinea.com/products/develop-allinea-forge)**|Allinea Forge is the complete toolsuite for software development - with everything needed to debug, profile, optimize, edit and build C, C++ and FORTRAN applications on Linux for high performance - from single threads through to complex parallel HPC codes with MPI, OpenMP, threads or CUDA.|<nobr>5.1-43967</br>6.0.6</br>6.0.5</nobr>|
|**[PerformanceReports](http://www.allinea.com/products/allinea-performance-reports)**|Allinea Performance Reports are the most effective way to characterize and understand the performance of HPC application runs. One single-page HTML report elegantly answers a range of vital questions for any HPC site. - Is this application well-optimized for the system and the processors it is running on? - Does it benefit from running at this scale? - Are there I/O, networking or threading bottlenecks affecting performance? - Which hardware, software or configuration changes can we make to improve performance further. - How much energy did this application use?|<nobr>5.1-43967</br>6.0.6</nobr>|
|**TotalView**|&nbsp;|<nobr>8.15.4-6-linux-x86-64</nobr>|
|**[Valgrind](http://valgrind.org/downloads/)**|Valgrind: Debugging and profiling tools|<nobr>3.11.0-foss-2015b</br>3.11.0-intel-2015b</nobr>|

###Devel

|Module|Description|Available versions|
|--|--|--|
|**[ant](http://ant.apache.org/)**|Apache Ant is a Java library and command-line tool whose mission is to drive processes described in build files as targets and extension points dependent upon each other. The main known usage of Ant is the build of Java applications.|<nobr>1.9.3-Java-1.7.0_79</nobr>|
|**[Autoconf](http://www.gnu.org/software/autoconf/)**|Autoconf is an extensible package of M4 macros that produce shell scripts to automatically configure software source code packages. These scripts can adapt the packages to many kinds of UNIX-like systems without manual user intervention. Autoconf creates a configuration script for a package from a template file that lists the operating system features that the package can use, in the form of M4 macro calls.|<nobr>2.69-GNU-5.1.0-2.25</br>2.69-GNU-4.9.3-2.25</br>2.69-foss-2015g</br>2.69-intel-2015b</br>2.69-GCC-4.9.3-2.25</br>2.69-intel-2016.01</br>2.69</nobr>|
|**[Automake](http://www.gnu.org/software/automake/automake.html)**|Automake: GNU Standards-compliant Makefile generator|<nobr>1.15-GNU-5.1.0-2.25</br>1.15-GNU-4.9.3-2.25</br>1.15-intel-2015b</br>1.15-GCC-4.9.3-2.25</br>1.15-foss-2015g</br>1.15-intel-2016.01</br>1.15</nobr>|
|**[Autotools](http://autotools.io)**|This bundle collect the standard GNU build tools: Autoconf, Automake and libtool|<nobr>20150215-GNU-5.1.0-2.25</br>20150215-GNU-4.9.3-2.25</br>20150215-intel-2015b</br>20150215-GCC-4.9.3-2.25</br>20150215-intel-2016.01</br>20150215</nobr>|
|**[Boost](http://www.boost.org/)**|Boost provides free peer-reviewed portable C++ source libraries.|<nobr>1.58.0-Python-2.7.9</br>1.58.0-intel-2015b-Python-2.7.9</br>1.58.0-ictce-7.3.5-Python-2.7.9</br>1.58.0-gompi-2015e-Python-2.7.9</br>1.58.0-foss-2015g-Python-2.7.9</br>1.58.0-intel-2016.01-Python-2.7.9</br>1.59.0-intel-2015b-Python-2.7.11</br>1.59.0-intel-2016.01</br>1.60.0-foss-2015g-Python-2.7.9</nobr>|
|**[CMake](http://www.cmake.org)**|CMake, the cross-platform, open-source build system. CMake is a family of tools designed to build, test and package software.|<nobr>3.0.0-intel-2015b</br>3.0.0-ictce-7.3.5</br>3.3.1-GNU-5.1.0-2.25</br>3.3.1-GNU-4.9.3-2.25</br>3.3.1-foss-2015g</br>3.0.0-intel-2016.01</br>3.3.1-intel-2016.01</br>3.0.0-foss-2015g</br>3.4.1-intel-2015b</br>3.3.1-GCC-5.3.0-2.25</br>3.3.1-GCC-5.3.1-snapshot-20160419-2.25</br>3.3.2-intel-2016.01</br>3.3.2-GNU-4.9.3-2.25</br>3.4.1-GCCcore-4.9.3</br>3.4.1-foss-2015b</br>3.5.2</nobr>|
|**[Doxygen](http://www.doxygen.org)**|Doxygen is a documentation system for C++, C, Java, Objective-C, Python, IDL (Corba and Microsoft flavors), Fortran, VHDL, PHP, C#, and to some extent D.|<nobr>1.8.7-intel-2015b</br>1.8.7-intel-2016.01</br>1.8.7-foss-2015g</br>1.8.10-foss-2015b</br>1.8.11</nobr>|
|**[fontsproto](http://www.freedesktop.org/wiki/Software/xlibs)**|X11 font extension wire protocol|<nobr>2.1.3-foss-2015g</br>2.1.3</nobr>|
|**[glproto](http://www.freedesktop.org/wiki/Software/xlibs)**|X protocol and ancillary headers|<nobr>1.4.16-foss-2015g</nobr>|
|**[gperf](http://www.gnu.org/software/gperf/)**|GNU gperf is a perfect hash function generator. For a given list of strings, it produces a hash function and hash table, in form of C or C++ code, for looking up a value depending on the input string. The hash function is perfect, which means that the hash table has no collisions, and the hash table lookup needs a single string comparison only.|<nobr>3.0.4-foss-2015g</nobr>|
|**[guile](http://www.gnu.org/software/guile)**|Guile is the GNU Ubiquitous Intelligent Language for Extensions, the official extension language for the GNU operating system.|<nobr>1.8.8-intel-2015b</br>1.8.8-foss-2015b</br>1.8.8-foss-2015g</br>1.8.8</nobr>|
|**[JUnit](http://sourceforge.net/projects/junit)**|A programmer-oriented testing framework for Java.|<nobr>4.11-Java-1.7.0_79</nobr>|
|**[libSM](http://www.freedesktop.org/wiki/Software/xlibs)**|X11 Session Management library, which allows for applications to both manage sessions, and make use of session managers to save and restore their state for later use.|<nobr>1.2.2-intel-2015b</br>1.2.2-foss-2015g</br>1.2.2</nobr>|
|**[M4](http://www.gnu.org/software/m4/m4.html)**|GNU M4 is an implementation of the traditional Unix macro processor. It is mostly SVR4 compatible although it has some extensions (for example, handling more than 9 positional parameters to macros). GNU M4 also has built-in functions for including files, running shell commands, doing arithmetic, etc.|<nobr>1.4.17</br>1.4.17-GNU-5.1.0-2.25</br>1.4.17-foss-2015b</br>1.4.17-intel-2015b</br>1.4.16-intel-2015b</br>1.4.17-GCC-4.9.3-binutils-2.25</br>1.4.17-GNU-4.9.3-2.25</br>1.4.17-GCCcore-4.9.3</br>1.4.17-intel-2016.01</br>1.4.16-foss-2015g</br>1.4.17-foss-2015g</br>1.4.17-GCC-5.1.0-binutils-2.25</br>1.4.17-GCCcore-5.3.0</br>1.4.17-GCCcore-5.3.1-snapshot-20160419</br>1.4.17-GCC-4.9.3-2.25</nobr>|
|**[make](http://www.gnu.org/software/make/make.html)**|make-3.82: GNU version of make utility|<nobr>3.82-intel-2015b</br>3.82</nobr>|
|**[makedepend](http://www.linuxfromscratch.org/blfs/view/svn/x/makedepend.html)**|The makedepend package contains a C-preprocessor like utility to determine build-time dependencies.|<nobr>1.0.4-foss-2015g</br>1.0.4</nobr>|
|**[Maven](http://maven.apache.org/index.html)**|Binary maven install, Apache Maven is a software project management and comprehension tool. Based on the concept of a project object model (POM), Maven can manage a project's build, reporting and documentation from a central piece of information.|<nobr>3.3.9</nobr>|
|**[ncurses](http://www.gnu.org/software/ncurses/)**|The Ncurses (new curses) library is a free software emulation of curses in System V Release 4.0, and more. It uses Terminfo format, supports pads and color and multiple highlights and forms characters and function-key mapping, and has all the other SYSV-curses enhancements over BSD Curses.|<nobr>5.9-intel-2015b</br>5.9-ictce-5.5.0</br>5.9-GNU-5.1.0-2.25</br>5.9-ictce-7.3.5</br>5.9-foss-2015b</br>5.9-gompi-2015e</br>5.9-foss-2015g</br>5.9-GNU-4.9.3-2.25</br>5.9-intel-2016.01</br>5.9-GCC-5.3.0-2.25</br>5.9-GCC-5.3.1-snapshot-20160419-2.25</br>6.0-GCCcore-4.9.3</br>6.0-foss-2015g</br>6.0-foss-2015b</br>6.0-intel-2016.01</br>6.0</br>5.9</br>6.0-intel-2016a</nobr>|
|**[PCRE](http://www.pcre.org/)**|The PCRE library is a set of functions that implement regular expression pattern matching using the same syntax and semantics as Perl 5.|<nobr>8.36-intel-2015b</br>8.36-foss-2015g</br>8.37-foss-2015g</br>8.36-intel-2016.01</br>8.37</nobr>|
|**[pkg-config](http://www.freedesktop.org/wiki/Software/pkg-config/)**|pkg-config is a helper tool used when compiling applications and libraries. It helps you insert the correct compiler options on the command line so an application can use gcc -o test test.c `pkg-config --libs --cflags glib-2.0` for instance, rather than hard-coding values on where to find glib (or other libraries).|<nobr>0.27.1-intel-2015b</br>0.27.1-foss-2015b</br>0.27.1-foss-2015g</br>0.27.1</br>0.29</nobr>|
|**[python-meep](https://code.launchpad.net/python-meep)**|Python wrapper for the Meep FDTD solver.|<nobr>1.4.2-intel-2015b-Python-2.7.9-Meep-1.3</nobr>|
|**[Qt](http://qt-project.org/)**|Qt is a comprehensive cross-platform C++ application framework.|<nobr>4.8.6-foss-2015g</br>4.8.6</nobr>|
|**[renderproto](http://www.freedesktop.org/wiki/Software/xlibs)**|Xrender protocol and ancillary headers|<nobr>0.11-intel-2015b</br>0.11</nobr>|
|**[SCons](http://www.scons.org/)**|SCons is a software construction tool.|<nobr>2.3.6-Python-2.7.9</br>2.3.6-foss-2015g-Python-2.7.9</nobr>|
|**[Spark](http://spark.apache.org)**|Spark is Hadoop MapReduce done in memory|<nobr>1.5.2</nobr>|
|**[SQLite](http://www.sqlite.org/)**|SQLite: SQL Database Engine in a C Library|<nobr>3.8.8.1-intel-2015b</br>3.8.8.1-ictce-7.3.5</br>3.8.8.1-foss-2015b</br>3.8.8.1-GNU-5.1.0-2.25</br>3.8.8.1-gompi-2015e</br>3.8.8.1-intel-2016.01</br>3.10.1-foss-2015g</br>3.9.2-intel-2015b</br>3.8.8.1-foss-2015g</br>3.8.10.2-GNU-4.9.3-2.25</br>3.8.10.2-GCC-4.9.3-2.25</br>3.9.2-foss-2015g</br>3.9.2-intel-2016.01</br>3.8.8.1</nobr>|
|**[SWIG](http://www.swig.org/)**|SWIG is a software development tool that connects programs written in C and C++ with a variety of high-level programming languages.|<nobr>3.0.7-Python-2.7.9</br>2.0.12-Python-2.7.9</br>2.0.12-intel-2015b-Python-2.7.9</nobr>|
|**[xbitmaps](http://www.freedesktop.org/wiki/Software/xlibs)**|provides bitmaps for x|<nobr>1.1.1-intel-2015b</br>1.1.1-foss-2015g</br>1.1.1</nobr>|
|**[xcb-proto](http://xcb.freedesktop.org/)**|The X protocol C-language Binding (XCB) is a replacement for Xlib featuring a small footprint, latency hiding, direct access to the protocol, improved threading support, and extensibility.|<nobr>1.10-Python-2.7.8</br>1.11-intel-2015b-Python-2.7.9</br>1.11-foss-2015g-Python-2.7.9</br>1.11-Python-2.7.9</br>1.11</nobr>|
|**[xextproto](http://www.freedesktop.org/wiki/Software/xlibs)**|XExtProto protocol headers.|<nobr>7.3.0-intel-2015b</br>7.3.0-foss-2015g</br>7.3.0</nobr>|
|**[xineramaproto](http://www.freedesktop.org/wiki/Software/xlibs)**|X protocol and ancillary headers for xinerama|<nobr>1.2.1-intel-2015b</br>1.2.1</nobr>|
|**[xorg-macros](http://cgit.freedesktop.org/xorg/util/macros)**|X.org macros utilities.|<nobr>1.17-foss-2015g</br>1.17</nobr>|
|**[xproto](http://www.freedesktop.org/wiki/Software/xlibs)**|X protocol and ancillary headers|<nobr>7.0.26-foss-2015g</br>7.0.26-intel-2015b</br>7.0.26</br>7.0.28</nobr>|
|**[xtrans](http://www.freedesktop.org/wiki/Software/xlibs)**|xtrans includes a number of routines to make X implementations transport-independent; at time of writing, it includes support for UNIX sockets, IPv4, IPv6, and DECnet.|<nobr>1.3.4-intel-2015b</br>1.3.5-intel-2015b</br>1.3.5-foss-2015g</br>1.3.5</nobr>|

###Geo

|Module|Description|Available versions|
|--|--|--|
|**[DCW](http://gmt.soest.hawaii.edu/projects/gmt)**|country polygons for GMT|<nobr>1.1.2</nobr>|
|**[GMT](http://gmt.soest.hawaii.edu/)**|GMT is an open source collection of about 80 command-line tools for manipulating geographic and Cartesian data sets (including filtering, trend fitting, gridding, projecting, etc.) and producing PostScript illustrations ranging from simple x-y plots via contour maps to artificially illuminated surfaces and 3D perspective views; the GMT supplements add another 40 more specialized and discipline-specific tools.|<nobr>5.2.1-foss-2015g</nobr>|
|**[PROJ_4](http://proj.osgeo.org)**|PROJ.4 - Cartographic Projections Library originally written by Gerald Evenden then of the USGS.|<nobr>4.9.2-foss-2015g</nobr>|

###Lang

|Module|Description|Available versions|
|--|--|--|
|**[Bison](http://www.gnu.org/software/bison)**|Bison is a general-purpose parser generator that converts an annotated context-free grammar into a deterministic LR or generalized LR (GLR) parser employing LALR(1) parser tables.|<nobr>2.7-foss-2015b</br>3.0.2-intel-2015b</br>2.7-GNU-5.1.0-2.25</br>2.7-intel-2015b</br>2.5-intel-2015b</br>3.0.4-GCC-4.9.3-binutils-2.25</br>2.7-foss-2015g</br>3.0.4-GCCcore-4.9.3</br>3.0.2-intel-2016.01</br>3.0.2-foss-2015g</br>3.0.4-GCC-5.1.0-binutils-2.25</br>3.0.4</br>3.0.4-GCCcore-5.3.0</br>3.0.4-GCCcore-5.3.1-snapshot-20160419</br>3.0.4-intel-2016.01</br>3.0.4-foss-2015b</br>3.0.2</br>2.7</nobr>|
|**[byacc](http://invisible-island.net/byacc/byacc.html)**|Berkeley Yacc (byacc) is generally conceded to be the best yacc variant available. In contrast to bison, it is written to avoid dependencies upon a particular compiler.|<nobr>20120526-intel-2015b</br>20120526-foss-2015b</br>20120526-foss-2015g</br>20120526</nobr>|
|**[flex](http://flex.sourceforge.net/)**|Flex (Fast Lexical Analyzer) is a tool for generating scanners. A scanner, sometimes called a tokenizer, is a program which recognizes lexical patterns in text.|<nobr>2.5.38-GCC-4.8.3</br>2.5.39-intel-2015b</br>2.5.37-intel-2015b</br>2.5.35-intel-2015b</br>2.5.39-foss-2015b</br>2.5.39-GCC-4.9.3-binutils-2.25</br>2.5.39-foss-2015g</br>2.5.39-GCCcore-4.9.3</br>2.5.39-intel-2016.01</br>2.5.39-GCC-5.1.0-binutils-2.25</br>2.5.39</br>2.5.39-GCCcore-5.3.0</br>2.5.39-GCCcore-5.3.1-snapshot-20160419</br>2.6.0</br>2.6.0-GCCcore-5.3.0</nobr>|
|**[Java](http://java.com/)**|Java Platform, Standard Edition (Java SE) lets you develop and deploy Java applications on desktops and servers.|<nobr>1.7.0_79</br>1.8.0_51</br>1.8.0_72</nobr>|
|**[libgdiplus](https://github.com/mono/libgdiplus)**|An Open Source implementation of the GDI+ API.|<nobr>3.12-GNU-5.1.0-2.25</br>3.12-GCC-4.4.7-system</br>3.12-intel-2016.01</br>3.12</nobr>|
|**[Mono](http://www.mono-project.com)**|Mono is an open source implementation of Microsoft's .NET Framework based on the ECMA standards for C# and the Common Language Runtime.|<nobr>4.0.3.20-GNU-5.1.0-2.25</br>3.12.1</br>3.12.1-GCC-4.4.7-system</br>4.2.2.10-intel-2016.01</nobr>|
|**[NASM](http://www.nasm.us/)**|NASM: General-purpose x86 assembler|<nobr>2.11.05-foss-2015b</br>2.11.06-intel-2015b</br>2.11.05-intel-2015b</br>2.11.05-foss-2015g</br>2.11.08-foss-2015b</br>2.11.05</nobr>|
|**[OpenCL-builder](https://software.intel.com/en-us/intel-opencl)**|OpenCL™ is the first open, royalty-free standard for cross-platform, parallel programming of modern processors found in personal computers, servers and handheld/embedded devices. OpenCL (Open Computing Language) greatly improves speed and responsiveness for a wide spectrum of applications in numerous market categories from gaming and entertainment to scientific and medical software. This is builder (formerly runtime) package.|<nobr>2015</nobr>|
|**[OpenCL-runtime](https://software.intel.com/en-us/intel-opencl)**|OpenCL™ is the first open, royalty-free standard for cross-platform, parallel programming of modern processors found in personal computers, servers and handheld/embedded devices. OpenCL (Open Computing Language) greatly improves speed and responsiveness for a wide spectrum of applications in numerous market categories from gaming and entertainment to scientific and medical software.|<nobr>15.1</nobr>|
|**[Perl](http://www.perl.org/)**|Larry Wall's Practical Extraction and Report Language|<nobr>5.16.3-intel-2015b</br>5.20.2-bare</br>5.20.2-GNU-4.9.3-2.25-bare</nobr>|
|**[Python](http://python.org/)**|Python is a programming language that lets you work more quickly and integrate your systems more effectively.|<nobr>2.7.8-intel-2015b</br>2.7.9-intel-2015b</br>2.7.9-ictce-7.3.5</br>2.7.9-foss-2015b</br>2.7.9-GNU-5.1.0-2.25</br>2.7.9-gompi-2015e</br>2.7.9-foss-2015g</br>2.7.9-intel-2016.01</br>2.7.8-intel-2016.01</br>2.7.11-intel-2015b</br>2.7.10-GNU-4.9.3-2.25-bare</br>2.7.10-GCC-4.9.3-2.25-bare</br>3.5.1-intel-2016.01</br>2.7.9</br>3.5.1</nobr>|
|**[R](http://www.r-project.org/)**|R is a free software environment for statistical computing and graphics.|<nobr>3.1.1-intel-2015b</br>3.2.3-intel-2016.01</br>3.2.3-foss-2015b</nobr>|
|**[Racket](http://racket-lang.org)**|Racket is a full-spectrum programming language. It goes beyond Lisp and Scheme with dialects that support objects, types, laziness, and more.|<nobr>6.1.1-GNU-5.1.0-2.25</nobr>|
|**[Ruby](https://www.ruby-lang.org)**|Ruby is a dynamic, open source programming language with a focus on simplicity and productivity. It has an elegant syntax that is natural to read and easy to write.|<nobr>2.1.5-intel-2015b</br>2.3.1</nobr>|
|**[SIP](http://www.riverbankcomputing.com/software/sip/)**|SIP is a tool that makes it very easy to create Python bindings for C and C++ libraries.|<nobr>4.16.4-foss-2015g-Python-2.7.9</br>4.17-foss-2015g-Python-2.7.9</br>4.17-Python-2.7.9</nobr>|
|**[SnuCL](http://snucl.snu.ac.kr)**|An OpenCL Framework for Heterogeneous Clusters|<nobr>1.3.3-gompi-2015e</nobr>|
|**[Tcl](http://www.tcl.tk/)**|Tcl (Tool Command Language) is a very powerful but easy to learn dynamic programming language, suitable for a very wide range of uses, including web and desktop applications, networking, administration, testing and many more.|<nobr>8.6.3-intel-2015b</br>8.5.12-intel-2015b</br>8.6.3-ictce-7.3.5</br>8.6.3-foss-2015b</br>8.6.3-GNU-5.1.0-2.25</br>8.6.3-gompi-2015e</br>8.6.3-foss-2015g</br>8.6.3-intel-2016.01</br>8.6.4-intel-2015b</br>8.6.4-GNU-4.9.3-2.25</br>8.6.4-GCC-4.9.3-2.25</br>8.6.4-foss-2015b</br>8.6.4-foss-2015g</br>8.6.4-intel-2016.01</br>8.6.4</br>8.6.3</br>8.5.12</nobr>|

###Lib

|Module|Description|Available versions|
|--|--|--|
|**[FOX](http://fox-toolkit.org)**|FOX is a C++ based Toolkit for developing Graphical User Interfaces easily and effectively. It offers a wide, and growing, collection of Controls, and provides state of the art facilities such as drag and drop, selection, as well as OpenGL widgets for 3D graphical manipulation.|<nobr>1.6.51-foss-2015g</nobr>|
|**[libdrm](http://dri.freedesktop.org)**|Direct Rendering Manager runtime library.|<nobr>2.4.27-foss-2015g</br>2.4.27</nobr>|
|**[libffi](http://sourceware.org/libffi/)**|The libffi library provides a portable, high level programming interface to various calling conventions. This allows a programmer to call any function specified by a call interface description at run-time.|<nobr>3.1-intel-2015b</br>3.1-GNU-5.1.0-2.25</br>3.0.13-intel-2015b</br>3.1-foss-2015b</br>3.0.13-foss-2015b</br>3.0.13-foss-2015g</br>3.1-intel-2016.01</br>3.0.13</nobr>|
|**[libfontenc](http://www.freedesktop.org/wiki/Software/xlibs/)**|X11 font encoding library|<nobr>1.1.3-foss-2015g</br>1.1.3</nobr>|
|**[libjpeg-turbo](http://sourceforge.net/libjpeg-turbo/)**|libjpeg-turbo is a fork of the original IJG libjpeg which uses SIMD to accelerate baseline JPEG compression and decompression. libjpeg is a library that implements JPEG image encoding, decoding and transcoding.|<nobr>1.3.1-foss-2015b</br>1.3.1-intel-2015b</br>1.4.0-intel-2015b</br>1.4.0-foss-2015g</br>1.4.1-foss-2015b</br>1.4.0</nobr>|
|**[libmatheval](http://www.gnu.org/software/libmatheval/)**|GNU libmatheval is a library (callable from C and Fortran) to parse and evaluate symbolic expressions input as text.|<nobr>1.1.8-intel-2015b</br>1.1.8-foss-2015b</br>1.1.8-foss-2015g</br>1.1.8</nobr>|
|**[libMesh](http://libmesh.github.io/)**|The libMesh library provides a framework for the numerical simulation of partial differential equations using arbitrary unstructured discretizations on serial and parallel platforms. A major goal of the library is to provide support for adaptive mesh refinement (AMR) computations in parallel while allowing a research scientist to focus on the physics they are modeling.|<nobr>0.9.5-intel-2016.01</nobr>|
|**[libpng](http://www.libpng.org/pub/png/libpng.html)**|libpng is the official PNG reference library|<nobr>1.6.9-intel-2015b</br>1.6.9-ictce-5.5.0</br>1.6.12-intel-2015b</br>1.6.12-foss-2015b</br>1.6.12-intel-2016.01</br>1.6.12-foss-2015g</br>1.6.21-foss-2015g</br>1.6.21-foss-2015b</br>1.6.17-foss-2015b</br>1.6.12</nobr>|
|**[libpthread-stubs](http://xcb.freedesktop.org/)**|The X protocol C-language Binding (XCB) is a replacement for Xlib featuring a small footprint, latency hiding, direct access to the protocol, improved threading support, and extensibility.|<nobr>0.3-intel-2015b</br>0.3-foss-2015g</br>0.3</nobr>|
|**[libreadline](http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html)**|The GNU Readline library provides a set of functions for use by applications that allow users to edit command lines as they are typed in. Both Emacs and vi editing modes are available. The Readline library includes additional functions to maintain a list of previously-entered command lines, to recall and perhaps reedit those lines, and perform csh-like history expansion on previous commands.|<nobr>6.2-intel-2015b</br>6.2-ictce-5.5.0</br>6.3-intel-2015b</br>6.3-GNU-5.1.0-2.25</br>6.3-ictce-7.3.5</br>6.3-foss-2015b</br>6.3-gompi-2015e</br>6.3-foss-2015g</br>6.3-intel-2016.01</br>6.3-GNU-4.9.3-2.25</br>6.3-GCCcore-4.9.3</br>6.3</nobr>|
|**[LibTIFF](http://www.remotesensing.org/libtiff/)**|tiff: Library and tools for reading and writing TIFF data files|<nobr>4.0.3-intel-2015b</br>4.0.3</nobr>|
|**[libtool](http://www.gnu.org/software/libtool)**|GNU libtool is a generic library support script. Libtool hides the complexity of using shared libraries behind a consistent, portable interface.|<nobr>2.4.6-GNU-5.1.0-2.25</br>2.4.2-intel-2015b</br>2.4.2-foss-2015b</br>2.4.6-GNU-4.9.3-2.25</br>2.4.2-foss-2015g</br>2.4.6-intel-2015b</br>2.4.6-GCC-4.9.3-2.25</br>2.4.6-foss-2015g</br>2.4.6-intel-2016.01</br>2.4.6</br>2.4.2</nobr>|
|**[libunistring](http://www.gnu.org/software/libunistring/)**|This library provides functions for manipulating Unicode strings and for manipulating C strings according to the Unicode standard.|<nobr>0.9.3-intel-2015b</br>0.9.3-foss-2015b</br>0.9.3-foss-2015g</br>0.9.3</nobr>|
|**[libxcb](http://xcb.freedesktop.org/)**|The X protocol C-language Binding (XCB) is a replacement for Xlib featuring a small footprint, latency hiding, direct access to the protocol, improved threading support, and extensibility.|<nobr>1.10-Python-2.7.8</br>1.11-intel-2015b-Python-2.7.9</br>1.11-foss-2015g-Python-2.7.9</br>1.11-Python-2.7.9</nobr>|
|**[libxml2](http://xmlsoft.org/)**|Libxml2 is the XML C parser and toolchain developed for the Gnome project (but usable outside of the Gnome platform).|<nobr>2.9.2-intel-2015b</br>2.9.2-ictce-7.3.5</br>2.9.2-foss-2015b</br>2.9.2-GNU-5.1.0-2.25</br>2.9.2-gompi-2015e</br>2.9.2-foss-2015g</br>2.9.2-foss-2015g-Python-2.7.9</br>2.9.2-GNU-4.9.3-2.25</br>2.9.2-GCC-4.9.3-2.25</br>2.9.2</nobr>|
|**[OpenCoarrays](http://www.opencoarrays.org)**|OpenCoarrays is an open-source software project for developing, porting and tuning transport layers that support coarray Fortran compilers.|<nobr>1.0.0-GNU-5.1.0-2.25</br>1.0.1-GNU-5.1.0-2.25</nobr>|
|**[PROJ](http://trac.osgeo.org/proj/)**|Program proj is a standard Unix filter function which converts geographic longitude and latitude coordinates into cartesian coordinates|<nobr>4.8.0-foss-2015b</nobr>|
|**[QCA](http://delta.affinix.com/qca/)**|QCA aims to provide a straightforward and cross-platform crypto API, using Qt datatypes and conventions. QCA separates the API from the implementation, using plugins known as Providers|<nobr>2.1.0-foss-2015g</nobr>|
|**[QGIS](http://www.qgis.org)**|A Free and Open Source Geographic Information System|<nobr>2.12.3-foss-2015g</nobr>|
|**[Qwt](http://qwt.sourceforge.net/index.html)**|The Qwt library contains GUI Components and utility classes which are primarily useful for programs with a technical background. Beside a framework for 2D plots it provides scales, sliders, dials, compasses, thermometers, wheels and knobs to control or display values, arrays, or ranges of type double.|<nobr>6.1.2-foss-2015g</nobr>|
|**[SIONlib](http://www.fz-juelich.de/ias/jsc/EN/Expertise/Support/Software/SIONlib/_node.html)**|SIONlib is a scalable I/O library for parallel access to task-local files. The library not only supports writing and reading binary data to or from several thousands of processors into a single or a small number of physical files, but also provides global open and close functions to access SIONlib files in parallel. This package provides a stripped-down installation of SIONlib for use with performance tools (e.g., Score-P), with renamed symbols to avoid conflicts when an application using SIONlib itself is linked against a tool requiring a different SIONlib version.|<nobr>1.6.1-tools</nobr>|
|**[spatialindex](https://libspatialindex.github.io/index.html)**|The purpose of this library is to provide: * An extensible framework that will support robust spatial indexing methods. * Support for sophisticated spatial queries. Range, point location, nearest neighbor and k-nearest neighbor as well as parametric queries (defined by spatial constraints) should be easy to deploy and run. * Easy to use interfaces for inserting, deleting and updating information.|<nobr>1.8.5-foss-2015g</nobr>|
|**[SpatiaLite](https://www.gaia-gis.it/fossil/libspatialite/index)**|SpatiaLite is an open source library intended to extend the SQLite core to support fully fledged Spatial SQL capabilities.|<nobr>4.3.0a-foss-2015g</nobr>|
|**[tbb](http://software.intel.com/en-us/articles/intel-tbb/)**|Intel Threading Building Blocks 4.0 (Intel TBB) is a widely used, award-winning C++ template library for creating reliable, portable, and scalable parallel applications. Use Intel TBB for a simple and rapid way of developing robust task-based parallel applications that scale to available processor cores, are compatible with multiple environments, and are easier to maintain. Intel TBB is the most proficient way to implement future-proof parallel applications that tap into the power and performance of multicore and manycore hardware platforms.|<nobr>4.3.5.187</br>4.4.2.152</nobr>|
|**[zlib](http://www.zlib.net/)**|zlib is designed to be a free, general-purpose, legally unencumbered -- that is, not covered by any patents -- lossless data-compression library for use on virtually any computer hardware and operating system.|<nobr>1.2.8-GCC-5.1.0-binutils-2.25</br>1.2.7-foss-2015b</br>1.2.8-foss-2015b</br>1.2.7-intel-2015b</br>1.2.7-ictce-5.5.0</br>1.2.8-intel-2015b</br>1.2.8-GNU-5.1.0-2.25</br>1.2.8-ictce-7.3.5</br>1.2.8-gompi-2015e</br>1.2.8-GCC-4.9.3-binutils-2.25</br>1.2.8-foss-2015g</br>1.2.8-GCCcore-4.9.3</br>1.2.8-intel-2016.01</br>1.2.8-GCCcore-5.3.0</br>1.2.8-GCCcore-5.3.1-snapshot-20160419</br>1.2.8-GNU-4.9.3-2.25</br>1.2.8-GCC-4.9.3-2.25</br>1.2.8</br>1.2.8-GNU-5.1.0-2.25-intel-2015b</nobr>|

###Math

|Module|Description|Available versions|
|--|--|--|
|**[FIAT](https://bitbucket.org/fenics-project/fiat)**|The FInite element Automatic Tabulator FIAT supports generation of arbitrary order instances of the Lagrange elements on lines, triangles, and tetrahedra. It is also capable of generating arbitrary order instances of Jacobi-type quadrature rules on the same element shapes.|<nobr>1.6.0-intel-2015b-Python-2.7.9</br>1.6.0-intel-2016.01-Python-2.7.9</br>1.6.0-intel-2015b-Python-2.7.11</nobr>|
|**[GEOS](http://trac.osgeo.org/geos)**|GEOS (Geometry Engine - Open Source) is a C++ port of the Java Topology Suite (JTS)|<nobr>3.5.0-foss-2015g</nobr>|
|**[GMP](http://gmplib.org/)**|GMP is a free library for arbitrary precision arithmetic, operating on signed integers, rational numbers, and floating point numbers.|<nobr>5.0.5-intel-2015b</br>5.0.5-foss-2015b</br>6.0.0a-foss-2015b</br>6.0.0a-GNU-5.1.0-2.25</br>5.0.5-foss-2015g</br>6.1.0-intel-2015b</br>6.0.0a-GNU-4.9.3-2.25</br>6.1.0-GCC-4.9.3-2.25</br>6.1.0-intel-2016.01</br>5.0.5</br>6.0.0a</nobr>|
|**[Harminv](http://ab-initio.mit.edu/wiki/index.php/Harminv)**|Harminv is a free program (and accompanying library) to solve the problem of harmonic inversion - given a discrete-time, finite-length signal that consists of a sum of finitely-many sinusoids (possibly exponentially decaying) in a given bandwidth, it determines the frequencies, decay constants, amplitudes, and phases of those sinusoids.|<nobr>1.4-intel-2015b</nobr>|
|**[ISL](http://isl.gforge.inria.fr/)**|isl is a library for manipulating sets and relations of integer points bounded by linear constraints.|<nobr>0.14-GNU-5.1.0-2.25</br>0.15-GNU-4.9.3-2.25</br>0.15-GCC-4.9.3-2.25</br>0.15</nobr>|
|**[METIS](http://glaros.dtc.umn.edu/gkhome/metis/metis/overview)**|METIS is a set of serial programs for partitioning graphs, partitioning finite element meshes, and producing fill reducing orderings for sparse matrices. The algorithms implemented in METIS are based on the multilevel recursive-bisection, multilevel k-way, and multi-constraint partitioning schemes.|<nobr>5.1.0-intel-2015b</br>5.1.0-intel-2016.01</br>5.1.0-intel-2016.01-32bitIDX</nobr>|
|**[numpy](http://www.numpy.org)**|NumPy is the fundamental package for scientific computing with Python. It contains among other things: a powerful N-dimensional array object, sophisticated (broadcasting) functions, tools for integrating C/C++ and Fortran code, useful linear algebra, Fourier transform, and random number capabilities. Besides its obvious scientific uses, NumPy can also be used as an efficient multi-dimensional container of generic data. Arbitrary data-types can be defined. This allows NumPy to seamlessly and speedily integrate with a wide variety of databases.|<nobr>1.9.1-intel-2015b-Python-2.7.9</br>1.8.2-intel-2015b-Python-2.7.9</br>1.8.2-intel-2016.01-Python-2.7.9</br>1.8.2-intel-2015b-Python-2.7.11</nobr>|
|**[Octave](http://www.gnu.org/software/octave/)**|GNU Octave is a high-level interpreted language, primarily intended for numerical computations.|<nobr>3.8.2-intel-2015b</br>4.0.0-foss-2015g</br>3.8.2-foss-2015g</nobr>|
|**[ParMETIS](http://glaros.dtc.umn.edu/gkhome/metis/parmetis/overview)**|ParMETIS is an MPI-based parallel library that implements a variety of algorithms for partitioning unstructured graphs, meshes, and for computing fill-reducing orderings of sparse matrices. ParMETIS extends the functionality provided by METIS and includes routines that are especially suited for parallel AMR computations and large scale numerical simulations. The algorithms implemented in ParMETIS are based on the parallel multilevel k-way graph-partitioning, adaptive repartitioning, and parallel multi-constrained partitioning schemes.|<nobr>4.0.3-intel-2015b</br>4.0.3-intel-2016.01</nobr>|
|**[ScientificPython](https://sourcesup.cru.fr/projects/scientific-py/)**|ScientificPython is a collection of Python modules for scientific computing. It contains support for geometry, mathematical functions, statistics, physical units, IO, visualization, and parallelization.|<nobr>2.9.4-intel-2015b-Python-2.7.9</br>2.9.4-intel-2016.01-Python-2.7.9</br>2.9.4-intel-2015b-Python-2.7.11</nobr>|
|**[SCOTCH](http://gforge.inria.fr/projects/scotch/)**|Software package and libraries for sequential and parallel graph partitioning, static mapping, and sparse matrix block ordering, and sequential mesh and hypergraph partitioning.|<nobr>5.1.12b_esmumps-foss-2015b</br>6.0.0_esmumps-intel-2015b</br>6.0.3-intel-2015b</br>6.0.3-intel-2016.01</br>6.0.4-intel-2015b</br>6.0.4-intel-2016.01</nobr>|
|**[sympy](http://sympy.org/)**|SymPy is a Python library for symbolic mathematics. It aims to become a full-featured computer algebra system (CAS) while keeping the code as simple as possible in order to be comprehensible and easily extensible. SymPy is written entirely in Python and does not require any external libraries.|<nobr>0.7.6-intel-2015b-Python-2.7.9</br>0.7.6-intel-2016.01-Python-2.7.9</br>0.7.6.1-intel-2015b-Python-2.7.11</nobr>|

###Mpi

|Module|Description|Available versions|
|--|--|--|
|**[impi](http://software.intel.com/en-us/intel-mpi-library/)**|The Intel(R) MPI Library for Linux* OS is a multi-fabric message passing library based on ANL MPICH2 and OSU MVAPICH2. The Intel MPI Library for Linux OS implements the Message Passing Interface, version 2 (MPI-2) specification.|<nobr>4.1.1.036-iccifort-2013.5.192-GCC-4.8.3</br>4.1.1.036-iccifort-2013.5.192</br>5.0.3.048-iccifort-2015.3.187-GNU-5.1.0-2.25</br>5.0.3.048-iccifort-2015.3.187</br>5.0.3.048</br>5.1.1.109-iccifort-2016.0.109-GCC-4.9.3</br>5.1.2.150-iccifort-2016.1.150-GCC-4.9.3</br>5.1.2.150-iccifort-2016.1.150-GCC-4.9.3-2.25</br>5.1.2.150-iccifort-2016.1.150</br>2017-BETA.ENG</br>5.1.3.181-iccifort-2016.3.210-GCC-5.3.0-2.26</nobr>|
|**[MPI_NET](http://www.osl.iu.edu/research/mpi.net/)**|MPI.NET is a high-performance, easy-to-use implementation of the Message Passing Interface (MPI) for Microsoft's .NET environment|<nobr>1.2.0-gompi-2015e</br>1.2.0-intel-2016.01</nobr>|
|**[MPICH](http://www.mpich.org/)**|MPICH v3.x is an open source high-performance MPI 3.0 implementation. It does not support InfiniBand (use MVAPICH2 with InfiniBand devices).|<nobr>3.2-GCC-5.3.0-2.25</br>3.2-GCC-5.3.1-snapshot-20160419-2.25</nobr>|
|**mpt**|&nbsp;|<nobr>2.12</nobr>|
|**[MVAPICH2](http://mvapich.cse.ohio-state.edu/overview/mvapich2/)**|This is an MPI 3.0 implementation. It is based on MPICH2 and MVICH.|<nobr>2.1-GNU-5.1.0-2.25</br>2.1-GCC-4.4.7-system</br>2.1-iccifort-2015.3.187-GNU-5.1.0-2.25</nobr>|
|**[OpenMPI](http://www.open-mpi.org/)**|The Open MPI Project is an open source MPI-2 implementation.|<nobr>1.8.6-GNU-5.1.0-2.25</br>1.8.6-iccifort-2015.3.187-GNU-5.1.0-2.25</br>1.8.8-GNU-5.1.0-2.25</br>1.8.6-GCC-4.4.7-system</br>1.8.8-GNU-4.9.3-2.25</br>1.8.8-iccifort-2015.3.187-GNU-4.9.3-2.25</br>1.10.1-GCC-4.9.3-2.25</br>1.10.2-GCC-5.3.0-2.26</br>1.10.1-GNU-4.9.3-2.25</nobr>|

###Numlib

|Module|Description|Available versions|
|--|--|--|
|**[arpack-ng](http://forge.scilab.org/index.php/p/arpack-ng/)**|ARPACK is a collection of Fortran77 subroutines designed to solve large scale eigenvalue problems.|<nobr>3.3.0-intel-2015b</nobr>|
|**[FFTW](http://www.fftw.org)**|FFTW is a C subroutine library for computing the discrete Fourier transform (DFT) in one or more dimensions, of arbitrary input size, and of both real and complex data.|<nobr>3.3.4-gompi-2015b</br>3.3.4-intel-2015b</br>2.1.5-gompi-2015b</br>2.1.5-iimpi-7.3.5-GNU-5.1.0-2.25</br>3.3.4-gompi-2015e</br>3.3.4-gompi-2015g</br>3.3.4-intel-2016.01</br>3.3.4-gompi-2016.04</nobr>|
|**[GSL](http://www.gnu.org/software/gsl/)**|The GNU Scientific Library (GSL) is a numerical library for C and C++ programmers. The library provides a wide range of mathematical routines such as random number generators, special functions and least-squares fitting.|<nobr>1.16-intel-2015b</nobr>|
|**[Hypre](https://computation.llnl.gov/casc/linear_solvers/sls_hypre.html)**|Hypre is a library for solving large, sparse linear systems of equations on massively parallel computers. The problems of interest arise in the simulation codes being developed at LLNL and elsewhere to study physical phenomena in the defense, environmental, energy, and biological sciences.|<nobr>2.10.0b-intel-2015b</br>2.10.0b-intel-2016.01</br>2.10.1-intel-2015b</nobr>|
|**[imkl](http://software.intel.com/en-us/intel-mkl/)**|Intel Math Kernel Library is a library of highly optimized, extensively threaded math routines for science, engineering, and financial applications that require maximum performance. Core math functions include BLAS, LAPACK, ScaLAPACK, Sparse Solvers, Fast Fourier Transforms, Vector Math, and more.|<nobr>11.0.5.192-iimpi-5.5.0</br>11.0.5.192-iimpi-5.5.0-GCC-4.8.3</br>11.2.3.187-iimpi-7.3.5</br>11.2.3.187-iimpi-7.3.5-GNU-5.1.0-2.25</br>11.2.3.187</br>11.3.0.109-iimpi-2016.00-GCC-4.9.3</br>11.3.1.150-iimpi-2016.00-GCC-4.9.3</br>11.3.1.150-iimpi-8.3.5</br>11.3.1.150-iimpi-2016.01-GCC-4.9.3-2.25</br>11.3.3.210-iimpi-2016.03-GCC-5.3.0-2.26</br>11.2.3.187-iompi-2015.03</br>11.3.1.150-iimpi-8.1.5-GCC-4.9.3-2.25</nobr>|
|**[LAPACKE](http://www.netlib.org/lapack/lapacke.html)**|LAPACKE C Interface to LAPACK header files and library|<nobr>3.5.0-LAPACK-3.5.0</nobr>|
|**[OpenBLAS](http://xianyi.github.com/OpenBLAS/)**|OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD version.|<nobr>0.2.14-LAPACK-3.5.0</br>0.2.14-GNU-5.1.0-2.25-LAPACK-3.5.0</br>0.2.14-gompi-2015e-LAPACK-3.5.0</br>0.2.14-GNU-4.9.3-2.25-LAPACK-3.5.0</br>0.2.18-GCC-5.3.0-2.26-LAPACK-3.6.0</nobr>|
|**[PETSc](http://www.mcs.anl.gov/petsc)**|PETSc, pronounced PET-see (the S is silent), is a suite of data structures and routines for the scalable (parallel) solution of scientific applications modeled by partial differential equations.|<nobr>3.6.1-intel-2015b-Python-2.7.9</br>3.6.1-intel-2016.01-Python-2.7.9</br>3.6.3-intel-2015b-Python-2.7.11</nobr>|
|**[ScaLAPACK](http://www.netlib.org/scalapack/)**|The ScaLAPACK (or Scalable LAPACK) library includes a subset of LAPACK routines redesigned for distributed memory MIMD parallel computers.|<nobr>2.0.2-OpenBLAS-0.2.14-LAPACK-3.5.0</br>2.0.2-gompi-2015b-OpenBLAS-0.2.14-LAPACK-3.5.0</br>2.0.2-gompi-2015e-OpenBLAS-0.2.14-LAPACK-3.5.0</br>2.0.2-gompi-2015g-OpenBLAS-0.2.14-LAPACK-3.5.0</br>2.0.2-gompi-2016.04-OpenBLAS-0.2.18-LAPACK-3.6.0</nobr>|
|**[SuiteSparse](http://www.cise.ufl.edu/research/sparse/SuiteSparse/)**|SuiteSparse is a collection of libraries manipulate sparse matrices.|<nobr>4.4.3-intel-2015b-ParMETIS-4.0.3</br>4.4.3-intel-2016.01-ParMETIS-4.0.3</br>4.4.6-intel-2015b-ParMETIS-4.0.3</nobr>|

###Perf

|Module|Description|Available versions|
|--|--|--|
|**[Advisor](https://software.intel.com/intel-advisor-xe)**|Vectorization Optimization and Thread Prototyping - Vectorize & thread code or performance “dies” - Easy workflow + data + tips = faster code faster - Prioritize, Prototype & Predict performance gain|<nobr>2016_update2</nobr>|
|**[ipp](http://software.intel.com/en-us/articles/intel-ipp/)**|Intel Integrated Performance Primitives (Intel IPP) is an extensive library of multicore-ready, highly optimized software functions for multimedia, data processing, and communications applications. Intel IPP offers thousands of optimized functions covering frequently used fundamental algorithms.|<nobr>9.0.1.150</nobr>|
|**MAP**|&nbsp;|<nobr>4.2</br>5.0.1</nobr>|
|**[OPARI2](http://www.score-p.org)**|OPARI2, the successor of Forschungszentrum Juelich's OPARI, is a source-to-source instrumentation tool for OpenMP and hybrid codes. It surrounds OpenMP directives and runtime library calls with calls to the POMP2 measurement interface.|<nobr>1.1.4-intel-2015b</br>2.0</nobr>|
|**[OTF2](http://www.score-p.org)**|The Open Trace Format 2 is a highly scalable, memory efficient event trace data format plus support library. It will become the new standard trace format for Scalasca, Vampir, and Tau and is open for other tools.|<nobr>1.4-intel-2015b</br>2.0</nobr>|
|**[PAPI](http://icl.cs.utk.edu/projects/papi/)**|PAPI provides the tool designer and application engineer with a consistent interface and methodology for use of the performance counter hardware found in most major microprocessors. PAPI enables software engineers to see, in near real time, the relation between software performance and processor events. In addition Component PAPI provides access to a collection of components that expose performance measurement opportunites across the hardware and software stack.|<nobr>5.4.0-intel-2015b</br>5.4.3</br>5.4.3-pic</nobr>|
|**perfboost**|&nbsp;|<nobr>1.0</nobr>|
|**perfcatcher**|&nbsp;|<nobr>1.0</nobr>|
|**PerfReports**|&nbsp;|<nobr>5.0.1</nobr>|
|**perfsuite**|&nbsp;|<nobr>1a5.3</nobr>|
|**[Vampir](http://www.vampir.eu)**|The Vampir software tool provides an easy-to-use framework that enables developers to quickly display and analyze arbitrary program behavior at any level of detail. The tool suite implements optimized event analysis algorithms and customizable displays that enable fast and interactive rendering of very complex performance monitoring data.|<nobr>8.5.0</nobr>|

###Phys

|Module|Description|Available versions|
|--|--|--|
|**[Meep](http://ab-initio.mit.edu/wiki/index.php/Meep)**|Meep (or MEEP) is a free finite-difference time-domain (FDTD) simulation software package developed at MIT to model electromagnetic systems.|<nobr>1.3-intel-2015b</nobr>|
|**[phono3py](http://phonopy.sourceforge.net/phono3py/index.html)**|This software calculates phonon-phonon interaction related properties|<nobr>0.9.14-ictce-7.3.5-Python-2.7.9</nobr>|

###System

|Module|Description|Available versions|
|--|--|--|
|**[hwloc](http://www.open-mpi.org/projects/hwloc/)**|The Portable Hardware Locality (hwloc) software package provides a portable abstraction (across OS, versions, architectures, ...) of the hierarchical topology of modern architectures, including NUMA memory nodes, sockets, shared caches, cores and simultaneous multithreading. It also gathers various system attributes such as cache and memory information as well as the locality of I/O devices such as network interfaces, InfiniBand HCAs or GPUs. It primarily aims at helping applications with gathering information about modern computing hardware so as to exploit it accordingly and efficiently.|<nobr>1.11.0-GNU-5.1.0-2.25</br>1.5-GCC-4.4.7-system</br>1.11.0-GNU-4.9.3-2.25</br>1.11.1-iccifort-2015.3.187-GNU-4.9.3-2.25</br>1.11.3-GCC-5.3.0-2.26</br>1.11.2-GCC-4.9.3-2.25</br>1.11.0</nobr>|
|**[libpciaccess](http://cgit.freedesktop.org/xorg/lib/libpciaccess/)**|Generic PCI access library.|<nobr>0.13.1-foss-2015g</br>0.13.1</nobr>|

###Toolchain

|Module|Description|Available versions|
|--|--|--|
|**[foss]((none))**|GNU Compiler Collection (GCC) based compiler toolchain, including OpenMPI for MPI support, OpenBLAS (BLAS and LAPACK support), FFTW and ScaLAPACK.|<nobr>2015e</br>2015g</br>2015b</br>2016.04</nobr>|
|**[GNU](http://www.gnu.org/software/)**|Compiler-only toolchain with GCC and binutils.|<nobr>5.1.0-2.25</br>5.1.0-2.25-intel-2015b</br>4.9.3-2.25</nobr>|
|**[gompi]((none))**|GNU Compiler Collection (GCC) based compiler toolchain, including OpenMPI for MPI support.|<nobr>2015e</br>2015g</br>2015b</br>2016.04</nobr>|
|**[iccifort](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/)**|Intel C, C++ and Fortran compilers|<nobr>2013.5.192</br>2013.5.192-GCC-4.8.3</br>2015.3.187</br>2015.3.187-GNU-5.1.0-2.25</br>2016.0.109-GCC-4.9.3</br>2016.1.150-GCC-4.9.3</br>2016.1.150-GCC-4.9.3-2.25</br>2016.1.150</br>2016.3.210-GCC-5.3.0-2.26</br>2015.3.187-GNU-4.9.3-2.25</nobr>|
|**[ictce](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/)**|Intel Cluster Toolkit Compiler Edition provides Intel C/C++ and Fortran compilers, Intel MPI & Intel MKL.|<nobr>5.5.0</br>7.3.5</br>8.3.5</nobr>|
|**[iimpi](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/)**|Intel C/C++ and Fortran compilers, alongside Intel MPI.|<nobr>5.5.0</br>5.5.0-GCC-4.8.3</br>7.3.5</br>7.3.5-GNU-5.1.0-2.25</br>2016.00-GCC-4.9.3</br>2016.01-GCC-4.9.3</br>2016.01-GCC-4.9.3-2.25</br>8.3.5</br>2016.03-GCC-5.3.0-2.26</br>8.1.5-GCC-4.9.3-2.25</nobr>|
|**[intel](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/)**|Intel Cluster Toolkit Compiler Edition provides Intel C/C++ and Fortran compilers, Intel MPI & Intel MKL.|<nobr>2014.06</br>2015b-intel-2015b</br>2016.00</br>2016.01</br>2015b</br>2016.03-GCC-5.3</br>2016a</nobr>|
|**[PRACE](http://www.prace-ri.eu/PRACE-Common-Production)**|The PRACE Common Production Environment (PCPE) is a set of software tools and libraries that are planned to be available on all PRACE execution sites. The PCPE also defines a set of environment variables that try to make compilation on all sites as homogeneous and simple as possible.|<nobr>20150630-intel-2015b</nobr>|
|**[prace](http://www.prace-ri.eu/PRACE-Common-Production)**|**** PRACE Common Production Environment (PCPE) **** Initialisation of the PRACE common production environment. This allows you to assume that the following tools/libraries are available by default in your PATH/environment. * Fortran, C, C++ Compilers * MPI * BLAS, LAPACK, BLACS, ScaLAPACK * FFTW * HDF5, NetCDF The compiler commands on are: * mpif90 - Fortran compiler * mpicc - C compiler * mpicxx - C++ compiler For more information on the PCPE please see the documentation at: http://www.prace-ri.eu/PRACE-Common-Production For help using this system, please see Local User Guide available at: http://prace-ri.eu/Best-Practice-Guide-Anselm-HTML|<nobr>20160107-intel-2016.01</nobr>|

###Tools

|Module|Description|Available versions|
|--|--|--|
|**[APR](http://apr.apache.org/)**|Apache Portable Runtime (APR) libraries.|<nobr>1.5.2-foss-2015g</br>1.5.2</nobr>|
|**[APR-util](http://apr.apache.org/)**|Apache Portable Runtime (APR) util libraries.|<nobr>1.5.4-foss-2015g</br>1.5.4</nobr>|
|**[Bash](http://www.gnu.org/software/bash)**|Bash is an sh-compatible command language interpreter that executes commands read from the standard input or from a file. Bash also incorporates useful features from the Korn and C shells (ksh and csh).|<nobr>4.2-intel-2015b</br>4.3</nobr>|
|**[binutils](http://directory.fsf.org/project/binutils/)**|binutils: GNU binary utilities|<nobr>2.25</br>2.25-GCC-5.1.0-binutils-2.25</br>2.25-foss-2015b</br>2.25-GCC-4.9.3-binutils-2.25</br>2.25-GCCcore-4.9.3</br>2.25-GCCcore-5.3.0</br>2.25-GCCcore-5.3.1-snapshot-20160419</br>2.26</br>2.26-GCCcore-5.3.0</nobr>|
|**[bzip2](http://www.bzip.org/)**|bzip2 is a freely available, patent free, high-quality data compressor. It typically compresses files to within 10% to 15% of the best available techniques (the PPM family of statistical compressors), whilst being around twice as fast at compression and six times faster at decompression.|<nobr>1.0.6-foss-2015b</br>1.0.6-intel-2015b</br>1.0.6-GNU-5.1.0-2.25</br>1.0.6-ictce-7.3.5</br>1.0.6-gompi-2015e</br>1.0.6-foss-2015g</br>1.0.6-intel-2016.01</br>1.0.6-GNU-4.9.3-2.25</br>1.0.6-GCC-4.9.3-2.25</br>1.0.6</nobr>|
|**[cURL](http://curl.haxx.se)**|libcurl is a free and easy-to-use client-side URL transfer library, supporting DICT, FILE, FTP, FTPS, Gopher, HTTP, HTTPS, IMAP, IMAPS, LDAP, LDAPS, POP3, POP3S, RTMP, RTSP, SCP, SFTP, SMTP, SMTPS, Telnet and TFTP. libcurl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP form based upload, proxies, cookies, user+password authentication (Basic, Digest, NTLM, Negotiate, Kerberos), file transfer resume, http proxy tunneling and more.|<nobr>7.37.1-intel-2015b</br>7.37.1-intel-2016.01</br>7.37.1-foss-2015g</br>7.45.0-foss-2015b</br>7.37.1</nobr>|
|**[EasyBuild](http://hpcugent.github.com/easybuild/)**|EasyBuild is a software build and installation framework written in Python that allows you to install software in a structured, repeatable and robust way.|<nobr>2.4.0</br>2.5.0</br>2.7.0</br>2.8.0</nobr>|
|**[expat](http://expat.sourceforge.net/)**|Expat is an XML parser library written in C. It is a stream-oriented parser in which an application registers handlers for things the parser might find in the XML document (like start tags)|<nobr>2.1.0-intel-2015b</br>2.1.0-foss-2015b</br>2.1.0-foss-2015g</br>2.1.0</nobr>|
|**[git](http://git-scm.com/)**|Git is a free and open source distributed version control system designed to handle everything from small to very large projects with speed and efficiency.|<nobr>2.8.0-GNU-4.9.3-2.25</br>2.8.0</br>2.9.2</br>2.9.0</nobr>|
|**[gzip](http://www.gnu.org/software/gzip/)**|gzip (GNU zip) is a popular data compression program as a replacement for compress|<nobr>1.6-intel-2015b</br>1.6-foss-2015g</br>1.6</nobr>|
|**[HPL](http://www.netlib.org/benchmark/hpl/)**|HPL is a software package that solves a (random) dense linear system in double precision (64 bits) arithmetic on distributed-memory computers. It can thus be regarded as a portable as well as freely available implementation of the High Performance Computing Linpack Benchmark.|<nobr>2.1-intel-2015b</br>2.1-foss-2015b</nobr>|
|**[Inspector](http://software.intel.com/en-us/intel-inspector-xe)**|Intel Inspector XE 2013 is an easy to use memory error checker and thread checker for serial and parallel applications|<nobr>2016_update1</nobr>|
|**[itac](http://software.intel.com/en-us/intel-trace-analyzer/)**|The Intel Trace Collector is a low-overhead tracing library that performs event-based tracing in applications. The Intel Trace Analyzer provides a convenient way to monitor application activities gathered by the Intel Trace Collector through graphical displays.|<nobr>9.1.2.024</nobr>|
|**[JOE](http://joe-editor.sourceforge.net)**|JOE is a full featured terminal-based screen editor which is distributed under the GNU General Public License (GPL)|<nobr>4.2</nobr>|
|**[likwid](https://github.com/RRZE-HPC/likwid)**|Toolsuite of command line applications for performance oriented programmers|<nobr>4.1.2-intel</br>4.1.2-gcc</nobr>|
|**MATLAB**|&nbsp;|<nobr>2015a-COM</br>2015a-EDU</br>2015b-COM</br>2015b-EDU</nobr>|
|**[Mercurial](http://mercurial.selenic.com/)**|Mercurial is a free, distributed source control management tool. It efficiently handles projects of any size and offers an easy and intuitive interface.|<nobr>3.5-Python-2.7.9</br>3.7.3-foss-2015g-Python-2.7.9</nobr>|
|**[MIKE](http://www.mikepoweredbydhi.com)**|MIKE Powered by DHI is a part of DHI, the global organisation dedicated to solving challenges in water environments worldwide.|<nobr>2016</br>2014</br>2016-SP2</nobr>|
|**[numactl](http://oss.sgi.com/projects/libnuma/)**|The numactl program allows you to run your application program on specific cpu's and memory nodes. It does this by supplying a NUMA memory policy to the operating system before running your program. The libnuma library provides convenient ways for you to add NUMA memory policies into your own program.|<nobr>2.0.10-GNU-5.1.0-2.25</br>2.0.9-GCC-4.4.7-system</br>2.0.10-GNU-4.9.3-2.25</br>2.0.10-iccifort-2015.3.187-GNU-4.9.3-2.25</br>2.0.11-GCC-5.3.0-2.26</br>2.0.11-GCC-4.9.3-2.25</br>2.0.11</br>2.0.10</nobr>|
|**[parallel](http://savannah.gnu.org/projects/parallel/)**|parallel: Build and execute shell commands in parallel|<nobr>20150322-GNU-5.1.0-2.25</br>20150322</nobr>|
|**[QEMU](http://wiki.qemu.org/Main_Page)**|QEMU is a generic and open source machine emulator and virtualizer.|<nobr>2.1.2-GCC-4.4.7-system</br>2.1.2-GCC-4.4.7-system-VDE2</nobr>|
|**[SDE](https://software.intel.com/en-us/articles/intel-software-development-emulator)**|Intel Software Development Emulator is a pintool that enables the development of applications using instruction set extensions that are not currently implemented in hardware.|<nobr>7.41.0</nobr>|
|**[Serf](http://serf.apache.org/)**|The serf library is a high performance C-based HTTP client library built upon the Apache Portable Runtime (APR) library|<nobr>1.3.8-foss-2015g</nobr>|
|**[Subversion](http://subversion.apache.org/)**|Subversion is an open source version control system.|<nobr>1.8.16-foss-2015g</nobr>|
|**[Szip](http://www.hdfgroup.org/doc_resource/SZIP/)**|Szip compression software, providing lossless compression of scientific data|<nobr>2.1-foss-2015b</br>2.1-intel-2015b</br>2.1-ictce-7.3.5</br>2.1-intel-2016.01</br>2.1-foss-2015g</br>2.1</nobr>|
|**[tcsh](http://www.tcsh.org)**|Tcsh is an enhanced, but completely compatible version of the Berkeley UNIX C shell (csh). It is a command language interpreter usable both as an interactive login shell and a shell script command processor. It includes a command-line editor, programmable word completion, spelling correction, a history mechanism, job control and a C-like syntax.|<nobr>6.18.01-intel-2015b</br>6.19.00</nobr>|
|**[turbovnc](http://www.turbovnc.org)**|TurboVNC is a derivative of VNC (Virtual Network Computing) that is tuned to provide peak performance for 3D and video workloads.|<nobr>1.2.3</nobr>|
|**[util-linux](http://www.kernel.org/pub/linux/utils/util-linux)**|Set of Linux utilities|<nobr>2.26.1</br>2.26.1-foss-2015g</nobr>|
|**[VDE2](http://vde.sourceforge.net)**|VDE is an ethernet compliant virtual network that can be spawned over a set of physical computer over the Internet. VDE is part of virtualsquare project.|<nobr>2.3.2-GCC-4.4.7-system</nobr>|
|**[VirtualGL](http://www.virtualgl.org)**|VirtualGL is an open source toolkit that gives any Unix or Linux remote display software the ability to run OpenGL applications with full 3D hardware acceleration.|<nobr>2.4.1</nobr>|
|**[VTune](http://software.intel.com/en-us/intel-vtune-amplifier-xe)**|Intel VTune Amplifier XE 2016 is the premier performance profiler for C, C++, C#, Fortran, Assembly and Java.|<nobr>2016_update1</nobr>|
|**[Wine](https://www.winehq.org)**|Wine (originally an acronym for "Wine Is Not an Emulator") is a compatibility layer capable of running Windows applications on several POSIX-compliant operating systems, such as Linux, Mac OSX, & BSD.|<nobr>1.7.29-GNU-5.1.0-2.25</br>1.7.29-GCC-4.4.7-system</nobr>|
|**[XZ](http://tukaani.org/xz/)**|xz: XZ utilities|<nobr>5.2.2-intel-2016.01</br>5.2.2</nobr>|

###Vis

|Module|Description|Available versions|
|--|--|--|
|**[cairo](http://cairographics.org)**|Cairo is a 2D graphics library with support for multiple output devices. Currently supported output targets include the X Window System (via both Xlib and XCB), Quartz, Win32, image buffers, PostScript, PDF, and SVG file output. Experimental backends include OpenGL, BeOS, OS/2, and DirectFB|<nobr>1.12.18-foss-2015b</br>1.12.18</nobr>|
|**[ffmpeg](https://www.ffmpeg.org/)**|A complete, cross-platform solution to record, convert and stream audio and video.|<nobr>2.4-intel-2015b</br>2.4-foss-2015g</br>2.4</nobr>|
|**[fixesproto](http://www.freedesktop.org/wiki/Software/xlibs)**|X.org FixesProto protocol headers.|<nobr>5.0-foss-2015g</br>5.0</nobr>|
|**[FLTK](http://www.fltk.org)**|FLTK is a cross-platform C++ GUI toolkit for UNIX/Linux (X11), Microsoft Windows, and MacOS X. FLTK provides modern GUI functionality without the bloat and supports 3D graphics via OpenGL and its built-in GLUT emulation.|<nobr>1.3.2-intel-2015b</br>1.3.2</nobr>|
|**[fontconfig](http://www.freedesktop.org/software/fontconfig)**|Fontconfig is a library designed to provide system-wide font configuration, customization and application access.|<nobr>2.11.1-intel-2015b</br>2.11.1-foss-2015b</br>2.11.1</nobr>|
|**[freetype](http://freetype.org)**|FreeType 2 is a software font engine that is designed to be small, efficient, highly customizable, and portable while capable of producing high-quality output (glyph images). It can be used in graphics libraries, display servers, font conversion tools, text image generation tools, and many other products as well.|<nobr>2.5.3-intel-2015b</br>2.5.3-foss-2015b</br>2.5.3-foss-2015g</br>2.5.3</nobr>|
|**[gettext](http://www.gnu.org/software/gettext/)**|GNU `gettext' is an important step for the GNU Translation Project, as it is an asset on which we may build many other steps. This package offers to programmers, translators, and even users, a well integrated set of tools and documentation|<nobr>0.19.2-intel-2015b</br>0.19.2-GNU-5.1.0-2.25</br>0.19.2-foss-2015b</br>0.19.2-intel-2016.01</br>0.19.6-foss-2015g</br>0.19.6-intel-2016.01</br>0.19.2-foss-2015g</br>0.19.2</br>0.19.6</nobr>|
|**[GLib](http://www.gtk.org/)**|GLib is one of the base libraries of the GTK+ project|<nobr>2.40.0-intel-2015b</br>2.40.0-foss-2015g</br>2.40.0-intel-2016.01</br>2.40.0</nobr>|
|**[GPI-2](http://www.gpi-site.com/gpi2/)**|GPI-2 is an API for the development of scalable, asynchronous and fault tolerant parallel applications.|<nobr>1.1.1-gompi-2015e-MPI</br>1.1.1-gompi-2015e</nobr>|
|**[grace](http://freecode.com/projects/grace)**|Grace is a WYSIWYG 2D plotting tool for X Windows System and Motif.|<nobr>5.1.25-intel-2015b</nobr>|
|**[inputproto](http://www.freedesktop.org/wiki/Software/xlibs)**|X.org InputProto protocol headers.|<nobr>2.3-intel-2015b</br>2.3-foss-2015g</br>2.3</nobr>|
|**[JasPer](http://www.ece.uvic.ca/~frodo/jasper/)**|The JasPer Project is an open-source initiative to provide a free software-based reference implementation of the codec specified in the JPEG-2000 Part-1 standard.|<nobr>1.900.1-intel-2015b</nobr>|
|**[kbproto](http://www.freedesktop.org/wiki/Software/xlibs)**|X.org KBProto protocol headers.|<nobr>1.0.6-intel-2015b</br>1.0.6-foss-2015g</br>1.0.6</br>1.0.7</nobr>|
|**[libGLU](ftp://ftp.freedesktop.org/pub/mesa/glu/)**|The OpenGL Utility Library (GLU) is a computer graphics library for OpenGL.|<nobr>9.0.0-foss-2015g</nobr>|
|**[libICE](http://www.freedesktop.org/wiki/Software/xlibs)**|X Inter-Client Exchange library for freedesktop.org|<nobr>1.0.9-intel-2015b</br>1.0.9-foss-2015g</br>1.0.9</nobr>|
|**[libX11](http://www.freedesktop.org/wiki/Software/xlibs)**|X11 client-side library|<nobr>1.6.2-Python-2.7.8</br>1.6.2-intel-2015b-Python-2.7.9</br>1.6.2-foss-2015g-Python-2.7.9</br>1.6.2-Python-2.7.9</nobr>|
|**[libXau](http://www.freedesktop.org/wiki/Software/xlibs)**|The libXau package contains a library implementing the X11 Authorization Protocol. This is useful for restricting client access to the display.|<nobr>1.0.8-intel-2015b</br>1.0.8-foss-2015g</br>1.0.8</nobr>|
|**[libXdamage](http://www.freedesktop.org/wiki/Software/xlibs)**|X Damage extension library|<nobr>1.1.4-foss-2015g-Python-2.7.9</nobr>|
|**[libXdmcp](http://www.freedesktop.org/wiki/Software/xlibs)**|The libXdmcp package contains a library implementing the X Display Manager Control Protocol. This is useful for allowing clients to interact with the X Display Manager.|<nobr>1.1.2-intel-2015b</br>1.1.2-foss-2015g</br>1.1.2</nobr>|
|**[libXext](http://www.freedesktop.org/wiki/Software/xlibs)**|Common X Extensions library|<nobr>1.3.2-Python-2.7.8</br>1.3.3-intel-2015b</br>1.3.3-foss-2015g-Python-2.7.9</br>1.3.3-foss-2015g</br>1.3.3</nobr>|
|**[libXfixes](http://www.freedesktop.org/wiki/Software/xlibs)**|X Fixes extension library|<nobr>5.0.1-foss-2015g</br>5.0.1</nobr>|
|**[libXfont](http://www.freedesktop.org/wiki/Software/xlibs)**|X font libary|<nobr>1.5.1-foss-2015g-Python-2.7.9</br>1.5.1-Python-2.7.9</nobr>|
|**[libXft](http://www.freedesktop.org/wiki/Software/xlibs)**|X11 client-side library|<nobr>2.3.2-intel-2015b</nobr>|
|**[libXinerama](http://www.freedesktop.org/wiki/Software/xlibs)**|Xinerama multiple monitor library|<nobr>1.1.3-intel-2015b</nobr>|
|**[libXrender](http://www.freedesktop.org/wiki/Software/xlibs)**|X11 client-side library|<nobr>0.9.8-intel-2015b</br>0.9.8</nobr>|
|**[libXt](http://www.freedesktop.org/wiki/Software/xlibs)**|libXt provides the X Toolkit Intrinsics, an abstract widget library upon which other toolkits are based. Xt is the basis for many toolkits, including the Athena widgets (Xaw), and LessTif (a Motif implementation).|<nobr>1.1.4-intel-2015b-libX11-1.6.2</br>1.1.5-foss-2015g</br>1.1.4-foss-2015g-libX11-1.6.2</br>1.1.4-libX11-1.6.2</nobr>|
|**[Mesa](http://www.mesa3d.org/)**|Mesa is an open-source implementation of the OpenGL specification - a system for rendering interactive 3D graphics.|<nobr>11.0.8-foss-2015g-Python-2.7.9</nobr>|
|**[motif](http://motif.ics.com/)**|Motif refers to both a graphical user interface (GUI) specification and the widget toolkit for building applications that follow that specification under the X Window System on Unix and other POSIX-compliant systems. It was the standard toolkit for the Common Desktop Environment and thus for Unix.|<nobr>2.3.4-intel-2015b-libX11-1.6.2</br>2.3.4-foss-2015g-libX11-1.6.2</nobr>|
|**[OpenCV](http://opencv.org/)**|OpenCV (Open Source Computer Vision Library) is an open source computer vision and machine learning software library. OpenCV was built to provide a common infrastructure for computer vision applications and to accelerate the use of machine perception in the commercial products.|<nobr>2.4.9-intel-2015b</br>3.0.0-intel-2015b</nobr>|
|**[OpenDX](http://www.opendx.org)**|Open source visualization software package based on IBM's Visualization Data Explorer.|<nobr>4.4.4-foss-2015g</nobr>|
|**[OSPRay](http://www.ospray.org)**|A Ray Tracing Based Rendering Engine for High-Fidelity Visualization|<nobr>0.9.1</nobr>|
|**[p4vasp](http://www.p4vasp.at)**|p4vasp is a visualization suite for the Vienna Ab-initio Simulation Package (VASP). It contains an extensible GUI framework, that can be used to view material structure, density of states, band-structure and more.|<nobr>0.3.29-GNU-4.9.3-2.25</nobr>|
|**[ParaView](http://www.paraview.org)**|ParaView is a scientific parallel visualizer.|<nobr>4.3-OSPRay</br>5.0.0-binary</nobr>|
|**[pixman](http://www.pixman.org/)**|Pixman is a low-level software library for pixel manipulation, providing features such as image compositing and trapezoid rasterization. Important users of pixman are the cairo graphics library and the X server.|<nobr>0.32.6-intel-2015b</br>0.32.6-foss-2015b</br>0.32.6</nobr>|
|**[PyQt](http://www.riverbankcomputing.co.uk/software/pyqt)**|PyQt is a set of Python v2 and v3 bindings for Digia's Qt application framework.|<nobr>4.11.3-foss-2015g-Python-2.7.9</br>4.11.4-foss-2015g-Python-2.7.9</nobr>|
|**[SUMO](http://www.sumo.dlr.de/wiki/Main_Page)**|Simulation of Urban MObility (SUMO) is an open source, highly portable, microscopic and continuous road traffic simulation package designed to handle large road networks.|<nobr>0.25.0-foss-2015g</br>0.26.0-foss-2015g</br>0.27.1-foss-2015g</nobr>|
|**[Tk](http://www.tcl.tk/)**|Tk is an open source, cross-platform widget toolchain that provides a library of basic elements for building a graphical user interface (GUI) in many different programming languages.|<nobr>8.5.12-intel-2015b</br>8.6.4-intel-2015b-no-X11</br>8.6.4-GNU-4.9.3-2.25-no-X11</br>8.6.4-GCC-4.9.3-2.25-no-X11</br>8.6.4-foss-2015b-no-X11</br>8.6.4-foss-2015g-no-X11</br>8.6.4-intel-2016.01-no-X11</br>8.6.4-no-X11</br>8.5.12</br>8.6.3</nobr>|
|**[VisIt](https://wci.llnl.gov/simulation/computer-codes/visit)**|VisIt is an Open Source, interactive, scalable, visualization, animation and analysis tool|<nobr>2.10.0</nobr>|
